Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::spin_control Class Reference

`#include <synchronization_common.h>`

## Public Member Functions

ALWAYS_INLINE bool | should_spin ()
ALWAYS_INLINE void | reset ()

## Detailed Description

Definition at line 95 of file synchronization_common.h.

## Member Function Documentation

## should_spin()

ALWAYS_INLINE bool Halide::Runtime::Internal::Synchronization::spin_control::should_spin | ( |  | ) |

inline

Definition at line 100 of file synchronization_common.h.

References ALWAYS_INLINE.

## reset()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::spin_control::reset | ( |  | ) |

inline

Definition at line 107 of file synchronization_common.h.

References ALWAYS_INLINE.

The documentation for this class was generated from the following file:

- src/runtime/synchronization_common.h